### Function

# GnomeAutoar format_get_format_libarchive

#### Declaration [src]

    int
    autoar_format_get_format_libarchive (
      AutoarFormat format
    )

#### Description [src]

Gets the format code used by libarchive. You can use the return value as the argument for `archive_read_support_format_by_code()` and archive_write_set_format(). However, some format cannot be set using these two functions because of problems inside libarchive. Use `autoar_format_get_libarchive_read()` and `autoar_format_get_libarchive_write()` to get the function pointer is the more reliable way to set format on the archive object.

#### Parameters

`format`

  Type: `AutoarFormat`

  An `AutoarFormat`.

#### Return value

Type: `int`

An integer.